Nimbu Developer Docs
ReferenceSenders

Verify domain ownership via DNS TXT record

POST
/senders/{id}/verify_ownership

Checks the DNS TXT record proving domain ownership and registers the domain with the email provider on success.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

id*string

Sender domain identifier

Response Body

application/json

application/json

curl -X POST "https://example.com/senders/string/verify_ownership"
{
  "id": "string",
  "domain": "string",
  "provider": "string",
  "status": "string",
  "ownership_verified": true,
  "ownership_verified_at": "2019-08-24T14:15:22Z",
  "verified_at": "2019-08-24T14:15:22Z",
  "last_check_at": "2019-08-24T14:15:22Z",
  "last_check_error": "string",
  "expected_txt_record": "string",
  "dns_records": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty
{
  "message": "string",
  "code": 0,
  "errors": [
    {
      "resource": "string",
      "field": "string",
      "message": "string",
      "code": "string",
      "messages": [
        "string"
      ],
      "codes": [
        "string"
      ],
      "value": null
    }
  ]
}